uk.gov.hmrc.gg.secure

# HeaderFeatureToggles

###
Related Doc: package secure

#### trait HeaderFeatureToggles extends FeatureToggles

Linear Supertypes
FeatureToggles, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HeaderFeatureToggles
2. FeatureToggles
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def featureEnabled(feature: String)(implicit hc: HeaderCarrier, request: Request[_]): Boolean

   Attributes
     protected
   Definition Classes
     FeatureToggles

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### def putIfAbsent(feature: String, value: Boolean)(implicit hc: HeaderCarrier): HeaderCarrier

17. #### def readToggleFromRequest(feature: String)(implicit hc: HeaderCarrier, request: Request[_]): Boolean

    Attributes
      protected
    Definition Classes
      HeaderFeatureToggles → FeatureToggles

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from FeatureToggles

### Inherited from AnyRef

### Inherited from Any

### Ungrouped